%define ttfdir1 %_datadir/fonts/default/TrueType-chinese-big5
%define ttfdir2 %_datadir/fonts/default/TrueType-chinese-gb2312

Name: chinese-fonts-ttf
Version: 1.0
Release: alt5

Summary: Free Chinese TrueType fonts
Summary (ru_RU.UTF-8): Китайские TrueType шрифты
License: GPL-like (see arphicpl.txt)
Group: System/Fonts/True type
Url: ftp://linux.tmtc.edu.tw/pub/arphic
Source: fonts-ttf-chinese.tar.bz2
BuildArch: noarch
BuildRequires: freetype
PreReq: chkfontpath freetype fontconfig

%description
This Package provides free Chinese TrueType fonts.

%description -l ru_RU.UTF-8
В пакете находятся китайские TrueType шрифты.

%prep
%setup -q -n fonts-ttf-chinese

%build
mkdir -p big5-doc && cp arphicpl.txt big5-doc
mkdir -p gb2312-doc && cp arphicpl.txt gb2312-doc

%install
# Big5
mkdir -p $RPM_BUILD_ROOT%ttfdir1
install -p -m644 b*.ttf $RPM_BUILD_ROOT%ttfdir1
cd $RPM_BUILD_ROOT%ttfdir1
%_sbindir/ttmkfdir -o ./fonts.dir >& /dev/null
ln -s %_sysconfdir/X11/encodings.dir encodings.dir
touch fonts.cache-1
cd -
# Gb2312
mkdir -p $RPM_BUILD_ROOT%ttfdir2
install -p -m644 g*.ttf $RPM_BUILD_ROOT%ttfdir2
cd $RPM_BUILD_ROOT%ttfdir2
%_sbindir/ttmkfdir -o ./fonts.dir >& /dev/null
ln -s %_sysconfdir/X11/encodings.dir encodings.dir
touch fonts.cache-1

%package big5
Summary: Chinese (Big5) TrueType fonts
Summary (ru_RU.UTF-8): Китайские (Big5) TrueType шрифты
License: GPL-like (see arphicpl.txt)
Group: System/Fonts/True type

%description big5
Chinese (Big5 encoded) TrueType Fonts donated by Arphic company.

%description big5 -l ru_RU.UTF-8
Китайские TrueType шрифты (кодировка Big5), от фирмы Arphic

%post big5
%_bindir/fc-cache %ttfdir1 ||:
%_sbindir/chkfontpath -q --add %ttfdir1 ||:
# CID-keyed font aliases for esp-ghostscript
# 2001-07-27 dxiaoming@mandrakesoft.com
if [ -x /usr/share/ghostscript/Resource/alias-ac13.sh ]; then
    cd /usr/share/ghostscript/Resource
    ./alias-ac13.sh install B5Song-Medium=bsmi00lp.ttf
    ./alias-ac13.sh install B5Kai-Medium=bkai00mp.ttf
    # MSung-Light and MOESung-Light are the font names used by qt/kde.
    # ./alias-ac13.sh install MSung-Light=B5Song-Medium
    # This causes conflict with gb2312 MSung-Light.
    ./alias-ac13.sh install MOESung-Regular=B5Song-Medium
    # ShanHeiSun-Light is used by Mozilla for printing
    ./alias-ac13.sh install ShanHeiSun-Light=B5Song-Medium
fi

%postun big5
if [ "$1" = "0" ]; then
    %_sbindir/chkfontpath -q --remove %ttfdir1 ||:
# CID-keyed font aliases for esp-ghostscript
# 2001-07-27 dxiaoming@mandrakesoft.com
    if [ -x /usr/share/ghostscript/Resource/alias-ac13.sh ]; then
        cd /usr/share/ghostscript/Resource
        ./alias-ac13.sh uninstall B5Song-Medium
        ./alias-ac13.sh uninstall B5Kai-Medium
	# MSung-Light and MKai-Medium are the names used by qt/kde.
	# ./alias-ac13.sh uninstall MSung-Light
        ./alias-ac13.sh uninstall MOESung-Regular
	# ShanHeiSun-Light is used by Mozilla for printing
        ./alias-ac13.sh uninstall ShanHeiSun-Light
    fi
fi

%triggerpostun -- %name < 1.0-alt4
%_sbindir/chkfontpath -q --add %ttfdir1 ||:

%files big5
%ttfdir1
%doc big5-doc/*

%package gb2312
Summary: Chinese (GB2312) TrueType fonts
Summary (ru_RU.UTF-8): Китайские (GB2312) TrueType шрифты
License: GPL-like (see arphicpl.txt)
Group: System/Fonts/True type

%description gb2312
Chinese (GuoBiao 2312 encoded) TrueType Fonts donated by Arphic company.

%description gb2312 -l ru_RU.UTF-8
Китайские TrueType шрифты (кодировка GuoBiao 2312), от фирмы Arphic

%post gb2312
%_bindir/fc-cache %ttfdir2 ||:
%_sbindir/chkfontpath -q --add %ttfdir2 ||:
# CID-keyed font aliases for esp-ghostscript
# 2001-07-27 dxiaoming@mandrakesoft.com
if [ -x /usr/share/ghostscript/Resource/alias-ag14.sh ]; then
    cd /usr/share/ghostscript/Resource
    ./alias-ag14.sh install GBSong-Medium=gbsn00lp.ttf
    ./alias-ag14.sh install GBKai-Medium=gkai00mp.ttf
    # MSung-Light and MKai-Medium are the font names used by qt/kde.
    ./alias-ag14.sh install MSung-Light=GBSong-Medium
    ./alias-ag14.sh install MKai-Medium=GBKai-Medium
    # BousungEG-Light-GB is used by Mozilla printing
    ./alias-ag14.sh install BousungEG-Light-GB=GBKai-Medium
fi

%postun gb2312
if [ "$1" = "0" ]; then
    %_sbindir/chkfontpath -q --remove %ttfdir2 ||:
# CID-keyed font aliases for esp-ghostscript
# 2001-07-27 dxiaoming@mandrakesoft.com
    if [ -x /usr/share/ghostscript/Resource/alias-ag14.sh ]; then
        cd /usr/share/ghostscript/Resource
        ./alias-ag14.sh uninstall GBSong-Medium
        ./alias-ag14.sh uninstall GBKai-Medium
	# MSung-Light and MKai-Medium are the names used by qt/kde.
        ./alias-ag14.sh uninstall MSung-Light
        ./alias-ag14.sh uninstall MKai-Medium
	# BousungEG-Light-GB is used by Mozilla for printing
        ./alias-ag14.sh uninstall BousungEG-Light-GB
    fi
fi

%triggerpostun -- %name < 1.0-alt4
%_sbindir/chkfontpath -q --add %ttfdir2 ||:

%files gb2312
%ttfdir2
%doc gb2312-doc/*

%changelog
* Sat Jun 26 2004 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt5
- %postun script fix

* Wed Feb 18 2004 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt4
- %postun script fix

* Mon Sep 01 2003 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt3
- Changed dir
- Cleanups

* Mon Jan 20 2003 Rider <rider@altlinux.ru> 1.0-alt2
- build requires fix (freetype)

* Wed Nov 27 2002 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt1
- ALTLinux build
